--NECB PvE localized cast/cooldown Database; Afflictions are still stored in MAIN programme!

if ( GetLocale() == "enUS" or GetLocale() == "enGB" ) then

	CEnemyCastBar_Spells = {

		-- IMPORTANT: Maybe some spells which cause debuffs have to be moved to CEnemyCastBar_Afflictions to be shown
		-- "t=x" defines the normal length of the castbar. "d=x" will add a cooldown timer for spells with a casttime and for gains.
		-- "g=0" prevents a bar if a player gains this spell. "g=x" shows a bar of x seconds instead of "t=x" if it's a gain.
		-- "i=x" shows a bar of x seconds additional to "t" (everytime)
		-- HoT=true, spell stacks of HoTs will be counted
		-- onfade=true, cooldown timer will be reset to full duration if the spell fades (to have an exact timing for 'Inner Focus' etc.)
		-- icasted=true, used for instant casts ("Player xy casts spell.")

		-- All Classes
			-- General
		["Hearthstone"] = {t=10.0, icontex="INV_Misc_Rune_01"};

			-- Trinkets & Racials
		["Brittle Armor"] = 		{t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
		["Unstable Power"] = 		{t=20.0, d=120, icontex="Spell_Lightning_LightningBolt01"}; -- gain
		["Restless Strength"] = 	{t=20.0, d=120, icontex="Spell_Shadow_GrimWard"}; -- gain
		["Ephemeral Power"] = 		{t=15.0, d=90, icontex="Spell_Holy_MindVision"}; -- gain
		["Arcane Power"] = 		{t=15.0, d=180, icontex="Spell_Nature_Lightning"}; -- gain
		["Massive Destruction"] = 	{t=20.0, d=180, icontex="Spell_Fire_WindsofWoe"}; -- gain
		["Arcane Potency"] = 		{t=20.0, d=180, icontex="Spell_Arcane_StarFire"}; -- gain
		["Energized Shield"] = 		{t=20.0, d=180, icontex="Spell_Nature_CallStorm"}; -- gain
		["Brilliant Light"] = 		{t=20.0, d=180, icontex="Spell_Holy_MindVision"}; -- gain
		["Will of the Forsaken"] = 	{t=5.0, d=120, icontex="Spell_Shadow_RaiseDead"}; -- gain
		["Perception"] = 		{t=20.0, d=180, icontex="Spell_Nature_Sleep"}; -- gain
		["Mar'li's Brain Boost"] = 	{t=30.0, d=180, icontex="INV_ZulGurubTrinket"}; -- gain
		["War Stomp"] = 		{t=0.5, d=120, icontex="Ability_WarStomp"};
		["Stoneform"] = 		{t=8.0, d=180, icontex="Spell_Shadow_UnholyStrength"};

		["Earthstrike"] = 		{t=20.0, d=120, icontex="Spell_Nature_AbolishMagic"}; -- gain
		["Gift of Life"] = 		{t=20.0, d=300, icontex="INV_Misc_Gem_Pearl_05"}; -- gain
		["Nature Aligned"] = 		{t=20.0, d=300, icontex="Spell_Nature_SpiritArmor"}; -- gain

			-- Engineering
		["Frost Reflector"] = 		{t=5.0, d=300.0, icontex="Spell_Frost_FrostWard"}; -- gain
		["Shadow Reflector"] = 		{t=5.0, d=300.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
		["Fire Reflector"] = 		{t=5.0, d=300.0, icontex="Spell_Fire_SealOfFire"}; -- gain
		
			-- First Aid
		["First Aid"] = 		{t=8.0, d=60, icontex="Spell_Holy_Heal"}; -- gain
		["Linen Bandage"] = 		{t=3.0, icontex="INV_Misc_Bandage_15"};
		["Heavy Linen Bandage"] = 	{t=3.0, icontex="INV_Misc_Bandage_18"};
		["Wool Bandage"] = 		{t=3.0, icontex="INV_Misc_Bandage_14"};
		["Heavy Wool Bandage"] = 	{t=3.0, icontex="INV_Misc_Bandage_17"};
		["Silk Bandage"] = 		{t=3.0, icontex="INV_Misc_Bandage_01"};
		["Heavy Silk Bandage"] = 	{t=3.0, icontex="INV_Misc_Bandage_02"};
		["Mageweave Bandage"] = 	{t=3.0, icontex="INV_Misc_Bandage_19"};
		["Heavy Mageweave Bandage"] = 	{t=3.0, icontex="INV_Misc_Bandage_20"};
		["Runecloth Bandage"] = 	{t=3.0, icontex="INV_Misc_Bandage_11"};
		["Heavy Runecloth Bandage"] = 	{t=3.0, icontex="INV_Misc_Bandage_12"};
		
		-- Druid
		["Healing Touch"] = 		{t=3.0, icontex="Spell_Nature_HealingTouch"};
		["Regrowth"] = 			{t=2.0, g=21.0, HoT=true, icontex="Spell_Nature_ResistNature"};
		["Rebirth"] = 			{t=2.0, d=1800.0, icontex="Spell_Nature_Reincarnation"};
		["Starfire"] = 			{t=3.0, icontex="Spell_Arcane_StarFire"};
		["Wrath"] = 			{t=1.5, icontex="Spell_Nature_AbolishMagic"};
		["Entangling Roots"] = 		{t=1.5, icontex="Spell_Nature_StrangleVines"};
		["Dash"] = 			{t=15.0, d=300.0, icontex="Ability_Druid_Dash"}; -- gain
		["Hibernate"] = 		{t=1.5, icontex="Spell_Nature_Sleep"};
		["Soothe Animal"] = 		{t=1.5, icontex="Ability_Hunter_BeastSoothe"};
		["Barkskin"] = 			{t=15.0, d=60, icontex="Spell_Nature_StoneClawTotem"}; -- gain
		["Innervate"] = 		{t=20.0, icontex="Spell_Nature_Lightning"}; -- gain
		["Teleport: Moonglade"] = 	{t=10.0, icontex="Spell_Arcane_TeleportMoonglade"};
		["Tiger's Fury"] = 		{t=6.0, icontex="Ability_Mount_JungleTiger"}; -- gain
		["Frenzied Regeneration"] = 	{t=10.0, d=180.0, icontex="Ability_BullRush"}; -- gain
		["Rejuvenation"] = 		{t=12.0, HoT=true, icontex="Spell_Nature_Rejuvenation"}; -- gain
		["Abolish Poison"] = 		{t=8.0, icontex="Spell_Nature_NullifyPoison_02"}; -- gain
		["Tranquility"] = 		{t=10.0, d=300.0, icontex="Spell_Nature_Tranquility"};
		["Nature's Grasp"] = 		{t=45, d=60, icontex="Spell_Nature_NaturesWrath"}; -- talent gain
		["Cyclone"] = 			{t=1.5, icontex="Spell_Nature_EarthBind"};
		["Lifebloom"] = 		{t=7, icontex="INV_Misc_Herb_Felblossom"}; -- gain
		["Force of Nature"] = 		{t=30, d=180, icasted=true, icontex="Ability_Druid_ForceofNature"}; -- gain
		["Nature's Swiftness"] =	{d=180, onfade=true, icontex="Spell_Nature_RavenForm"}; -- gain
		
		-- Hunter
		["Aimed Shot"] = 		{t=3.0, d=6.0, icontex="INV_Spear_07"};
		["Scare Beast"] = 		{t=1.0, d=30.0, icontex="Ability_Druid_Cower"};
		["Volley"] = 			{t=6.0, d=60.0, icontex="Ability_Marksmanship"};
		["Dismiss Pet"] = 		{t=5.0, icontex="Spell_Nature_SpiritWolf"};
		["Revive Pet"] = 		{t=10.0, icontex="Ability_Hunter_BeastSoothe"};
		["Eyes of the Beast"] = 	{t=2.0, icontex="Ability_EyeOfTheOwl"};
		["Rapid Fire"] = 		{t=15.0, d=300.0, icontex="Ability_Hunter_RunningShot"}; -- gain
		["Deterrence"] = 		{t=10, d=300.0, icontex="Ability_Whirlwind"}; -- gain
		["Multi-Shot"] = 		{d=10.0, icontex="Ability_UpgradeMoonGlaive"};
		["Bestial Wrath"] = 		{t=18, d=120.0, icontex="Ability_Druid_FerociousBite"}; -- Pet gain
		["The Beast Within"] =		{t=18, d=120, icontex="Ability_Hunter_BeastWithin"}; -- gain, Talent
		["Readiness"] = 		{d=300, icasted=true, icontex="Ability_Hunter_Readiness"}; -- Talent

		
		-- Mage
		["Frostbolt"] = {t=2.5, icontex="Spell_Frost_FrostBolt02"};
		["Fireball"] = {t=3.0, icontex="Spell_Fire_FlameBolt"};
		["Conjure Water"] = {t=3.0, icontex="INV_Drink_18"};
		["Conjure Food"] = {t=3.0, icontex="INV_Misc_Food_33"};
		["Conjure Mana Ruby"] = {t=3.0, icontex="INV_Misc_Gem_Ruby_01"};
		["Conjure Mana Citrine"] = {t=3.0, icontex="INV_Misc_Gem_Opal_01"};
		["Conjure Mana Jade"] = {t=3.0, icontex="INV_Misc_Gem_Emerald_02"};
		["Conjure Mana Agate"] = {t=3.0, icontex="INV_Misc_Gem_Emerald_01"};
		["Polymorph"] = {t=1.5, icontex="Spell_Nature_Polymorph"};
		["Polymorph: Pig"] = {t=1.5, icontex="Spell_Magic_PolymorphPig"};
		["Polymorph: Turtle"] = {t=1.5, icontex="Ability_Hunter_Pet_Turtle"};
		["Pyroblast"] = {t=6.0, icontex="Spell_Fire_Fireball02"};
		["Scorch"] = {t=1.5, icontex="Spell_Fire_SoulBurn"};
		["Flamestrike"] = {t=3.0, r="Death Talon Hatcher", a=2.5, icontex="Spell_Fire_SelfDestruct"};
		["Slow Fall"] = {t=30.0, icontex="Spell_Magic_FeatherFall"}; -- gain
		["Portal: Darnassus"] = {t=10.0, icontex="Spell_Arcane_PortalDarnassus"};
		["Portal: Thunder Bluff"] = {t=10.0, icontex="Spell_Arcane_PortalThunderBluff"};
		["Portal: Ironforge"] = {t=10.0, icontex="Spell_Arcane_PortalIronForge"};
		["Portal: Orgrimmar"] = {t=10.0, icontex="Spell_Arcane_PortalOrgrimmar"};
		["Portal: Stormwind"] = {t=10.0, icontex="Spell_Arcane_PortalStormWind"};
		["Portal: Undercity"] = {t=10.0, icontex="Spell_Arcane_PortalUnderCity"};
		["Teleport: Darnassus"] = {t=10.0, icontex="Spell_Arcane_TeleportDarnassus"};
		["Teleport: Thunder Bluff"] = {t=10.0, icontex="Spell_Arcane_TeleportThunderBluff"};
		["Teleport: Ironforge"] = {t=10.0, icontex="Spell_Arcane_TeleportIronForge"};
		["Teleport: Orgrimmar"] = {t=10.0, icontex="Spell_Arcane_TeleportOrgrimmar"};
		["Teleport: Stormwind"] = {t=10.0, icontex="Spell_Arcane_TeleportStormWind"};
		["Teleport: Undercity"] = {t=10.0, icontex="Spell_Arcane_TeleportUnderCity"};
		["Fire Ward"] = {t=30.0, icontex="Spell_Fire_FireArmor"}; -- gain
		["Frost Ward"] = {t=30.0, icontex="Spell_Frost_FrostWard"}; -- gain
		["Evocation"] = {t=8.0, icontex="Spell_Nature_Purge"}; -- gain
		["Ice Block"] = {t=10.0, d=300.0, icontex="Spell_Frost_Frost"}; -- gain
		["Ice Barrier"] = {d=30.0, icontex="Spell_Ice_Lament"};
		["Blink"] = {d=15.0, icontex="Spell_Arcane_Blink"};
		["Invisibility"] = {t=8, d=300, icontex="Ability_Mage_Invisibility"}; -- gain
		["Waterbolt"] = {t=2.5, icontex="Spell_Frost_FrostBolt"}; -- Mage Talent ('Pet' Spell)
		["Arcane Blast"] = {t=2.5, icontex="Spell_Arcane_Blast"};
		["Summon Water Elemental"] = {t=45, d=180, icasted=true, icontex="Spell_Frost_SummonWaterElemental_2"}; --2.0 Talent
		["Cold Snap"] = {d=600, icasted=true, icontex="Spell_Frost_WizardMark"};
		["Presence of Mind"] = {d=180, onfade=true, icontex="Spell_Nature_EnchantArmor"}; -- gain
		["Combustion"] = {d=180, icontex="Spell_Fire_SealOfFire"}; -- gain

		
		-- Paladin
		["Holy Light"] = {t=2.5, icontex="Spell_Holy_HolyBolt"};
		["Flash of Light"] = {t=1.5, icontex="Spell_Holy_FlashHeal"};
		["Summon Charger"] = {t=3.0, g=0.0, icontex="Ability_Mount_Charger"};
		["Summon Warhorse"] = {t=3.0, g=0.0, icontex="Spell_Nature_Swiftness"};
		["Hammer of Wrath"] = {t=1.0, d=6.0, icontex="Ability_ThunderClap"};
		["Holy Wrath"] = {t=2.0, d=60.0, icontex="Spell_Holy_Excorcism"};
		["Turn Undead"] = {t=1.5, d=30.0, icontex="Spell_Holy_TurnUndead"};
		["Redemption"] = {t=10.0, icontex="Spell_Holy_Resurrection"};
		["Divine Protection"] = {t=8.0, d=300.0, icontex="Spell_Holy_Restoration"}; -- gain
		["Divine Shield"] = {t=12.0, d=300.0, icontex="Spell_Holy_DivineIntervention"}; -- gain
		["Blessing of Freedom"] = {t=16.0, icontex="Spell_Holy_SealOfValor"}; -- gain
		["Blessing of Protection"] = {t=10.0, d=300.0, icontex="Spell_Holy_SealOfProtection"}; -- gain
		["Blessing of Sacrifice"] = {t=30.0, icontex="Spell_Holy_SealOfSacrifice"}; -- gain
		["Vengeance"] = {t=8.0, icontex="Ability_Racial_Avatar"}; -- gain, Talent
		["Avenging Wrath"] = {t=20, d=180, icontex="Spell_Holy_AvengineWrath"}; -- gain
		["Divine Illumination"] = {t=10, d=180, icontex="Spell_Holy_DivineIllumination"}; -- gain, Talent
		["Avenger's Shild"] = {t=1, d=30, icontex="Spell_Holy_AvengersShield"}; -- Talent
		["Divine Favor"] = {d=120, onfade=true, icontex="Spell_Holy_Heal"}; -- gain, Talent
		["Holy Shield"] = {t=10, icontex="Spell_Holy_BlessingOfProtection"}; -- gain
		["Holy Shock"] = {d=30, icasted=true, icontex="Spell_Holy_SearingLight"}; -- gain

	
		-- Priest
		["Greater Heal"] = {t=2.5, g=15, HoT=true, icontex="Spell_Holy_GreaterHeal"};
		["Heal"] = {t=2.5, icontex="Spell_Holy_Heal"};
		["Flash Heal"] = {t=1.5, icontex="Spell_Holy_FlashHeal"};
		["Resurrection"] = {t=10.0, icontex="Spell_Holy_Resurrection"};
		["Smite"] = {t=2.0, icontex="Spell_Holy_HolySmite"};
		["Mind Blast"] = {t=1.5, d=8.0, icontex="Spell_Shadow_UnholyFrenzy"};
		["Mind Control"] = {t=3.0, g=0.0, icontex="Spell_Shadow_ShadowWordDominate"};
		["Mana Burn"] = {t=3.0, icontex="Spell_Shadow_ManaBurn"};
		["Holy Fire"] = {t=3.0, icontex="Spell_Holy_SearingLight"};
		["Mind Soothe"] = {t=1.5, icontex="Spell_Holy_MindSooth"};
		["Prayer of Healing"] = {t=3.0, icontex="Spell_Holy_PrayerOfHealing02"};
		["Shackle Undead"] = {t=1.5, icontex="Spell_Nature_Slow"};
		["Fade"] = {t=10.0, d=30.0, icontex="Spell_Magic_LesserInvisibilty"}; -- gain
		["Renew"] = {t=15.0, HoT=true, icontex="Spell_Holy_Renew"}; -- gain
		["Abolish Disease"] = {t=20.0, icontex="Spell_Nature_NullifyDisease"}; -- gain
		["Feedback"] = {t=15.0, icontex="Spell_Shadow_RitualOfSacrifice"}; -- gain
		["Inspiration"] = {t=15.0, icontex="INV_Shield_06"}; -- gain (target), Talent
		["Power Infusion"] = {t=15.0, icontex="Spell_Holy_PowerInfusion"}; -- gain, Talent
		["Focused Casting"] = {t=6.0, icontex="Spell_Arcane_Blink"}; -- gain, Talent
		["Power Word: Shield"] = {t=30, d=15.0, icontex="Spell_Holy_PowerWordShield"}; -- gain
		["Armor of Faith"] = {t=30.0, icontex="Spell_Holy_BlessingOfProtection"}; -- gain, Priest Tier 3 [Vestments of Faith] 4/9 Proc
		["Inner Focus"] = {d=180, onfade=true, icontex="Spell_Frost_WindWalkOn"}; -- gain, Talent
		["Mass Dispel"] = {t=1.5, icontex="Spell_Arcane_MassDispel"};
		["Binding Heal"] = {t=1.5, icontex="Spell_Holy_BlindingHeal"};
		["Pain Suppression"] = {t=8, d=180, icontex="Spell_Holy_PainSupression"}; -- gain, Talent
		["Vampiric Touch"] = {t=1.5, icontex="Spell_Holy_Stoicism"}; -- Talent
		["Lightwell"] = {t=1.5, d=360, icontex="Spell_Holy_SummonLightwell"}; -- Talent
		["Shadowfiend"] = {t=15, d=300, icasted=true, icontex="Spell_Shadow_Shadowfiend"}; --2.0
		
		-- Rogue
		["Disarm Trap"] = {t=2.0, icontex="Spell_Shadow_GrimWard"};
		["Sprint"] = {t=15.0, d=300.0, icontex="Ability_Rogue_Sprint"}; -- gain
		["Pick Lock"] = {t=5.0, icontex="Spell_Nature_MoonKey"};
		["Evasion"] = {t=15.0, d=300, icontex="Spell_Shadow_ShadowWard"}; -- gain
		["Vanish"] = {t=10.0, d=300, icontex="Ability_Vanish"}; -- gain
		["Blade Flurry"] = {t=15.0, d=120, icontex="Ability_Rogue_SliceDice"}; -- gain

		["Instant Poison VI"] = {t=3.0, icontex="Ability_Poisons"};
		["Deadly Poison V"] = {t=3.0, icontex="Ability_Rogue_DualWeild"};
		["Crippling Poison"] = {t=3.0, icontex="Ability_PoisonSting"};
		["Crippling Poison II"] = {t=3.0, icontex="Ability_PoisonSting"};
		["Mind-numbing Poison"] = {t=3.0, icontex="Spell_Nature_NullifyDisease"};
		["Mind-numbing Poison II"] = {t=3.0, icontex="Spell_Nature_NullifyDisease"};
		["Mind-numbing Poison III"] = {t=3.0, icontex="Spell_Nature_NullifyDisease"};
		["Cold Blood"] = {d=180, onfade=true, icontex="Spell_Ice_Lament"}; -- gain, Talent
		["Adrenaline Rush"] = {t=15, d=300, icontex="Spell_Shadow_ShadowWordDominate"}; -- gain, Talent
		["Cloak of Shadows"] = {t=5, d=120, icontex="Spell_Shadow_NetherCloak"}; -- gain, Talent
		["Preparation"] = {d=600, icasted=true, icontex="Spell_Shadow_AntiShadow"}; -- Talent

		
		-- Shaman
		["Lesser Healing Wave"] = {t=1.5, icontex="Spell_Nature_HealingWaveLesser"};
		["Healing Wave"] = {t=2.5, icontex="Spell_Nature_MagicImmunity"}; -- talent
		["Ancestral Spirit"] = {t=10.0, icontex="Spell_Nature_Regenerate"};
		["Chain Lightning"] = {t=1.5, d=6.0, icontex="Spell_Nature_ChainLightning"}; -- Talent counted
		["Ghost Wolf"] = {t=1.0, icontex="Spell_Nature_SpiritWolf"};
		["Astral Recall"] = {t=10.0, icontex="Spell_Nature_AstralRecal"};
		["Chain Heal"] = {t=2.5, icontex="Spell_Nature_HealingWaveGreater"};
		["Lightning Bolt"] = {t=2.0, icontex="Spell_Nature_Lightning"}; -- Talent counted
		["Far Sight"] = {t=2.0, icontex="Spell_Nature_FarSight"};
		["Stoneclaw Totem"] = {t=15.0, d=30.0, icasted=true, icontex="Spell_Nature_StoneClawTotem"}; -- gain
		["Mana Tide Totem"] = {t=12.0, d=300.0, icasted=true, icontex="Spell_Frost_SummonWaterElemental"}; -- gain
		["Fire Nova Totem"] = {t=5.0, d=15.0, icasted=true, icontex="Spell_Fire_SealOfFire"}; -- gain
		["Stormstrike"] = {t=12.0, d=10, icontex="Spell_Holy_SealOfMight"}; -- gain
		["Ancestral Fortitude"] = {t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent
		["Healing Way"] = {t=15.0, icontex="Spell_Nature_HealingWay"}; -- gain (target), Talent
		["Grounding Totem"] = {d=15.0, icontex="Spell_Nature_GroundingTotem"};
		["Elemental Mastery"] = {d=180, onfade=true, icontex="Spell_Nature_WispHeal"}; -- gain, Talent
		["Shamanistic Rage"] = {t=30, d=120, icontex="Spell_Nature_ShamanRage"}; -- gain, Talent
		["Fire Elemental Totem"] = {d=1200, icasted=true, icontex="Spell_Fire_Elemental_Totem"}; -- gain
		["Ancestral Healing"] = {t=15.0, icontex="Spell_Nature_UndyingStrength"}; -- gain (target), Talent

		
		-- Warlock
		["Shadow Bolt"] = {t=2.5, icontex="Spell_Shadow_ShadowBolt"};
		["Immolate"] = {t=1.5, icontex="Spell_Fire_Immolation"};
		["Soul Fire"] = {t=4.0, d=60.0, icontex="Spell_Fire_Fireball02"};
		["Searing Pain"] = {t=1.5, icontex="Spell_Fire_SoulBurn"};
		["Summon Dreadsteed"] = {t=3.0, g=0.0, icontex="Ability_Mount_Dreadsteed"};
		["Summon Felsteed"] = {t=3.0, g=0.0, icontex="Spell_Nature_Swiftness"};
		["Summon Imp"] = {t=6.0, icontex="Spell_Shadow_Imp"};
		["Summon Succubus"] = {t=6.0, icontex="Spell_Shadow_SummonSuccubus"};
		["Summon Voidwalker"] = {t=6.0, icontex="Spell_Shadow_SummonVoidWalker"};
		["Summon Felhunter"] = {t=6.0, icontex="Spell_Shadow_SummonFelHunter"};
		["Fear"] = {t=1.5, icontex="Spell_Shadow_Possession"};
		["Howl of Terror"] = {t=2.0, d=40.0, g=0.0, icontex="Spell_Shadow_DeathScream"};
		["Banish"] = {t=1.5, icontex="Spell_Shadow_Cripple"};
		["Ritual of Summoning"] = {t=5.0, icontex="Spell_Shadow_Twilight"};
		["Ritual of Doom"] = {t=10.0, icontex="Spell_Shadow_AntiMagicShell"};
		["Create Soulstone"] = {t=3.0, icontex="Spell_Shadow_SoulGem"};
		["Create Healthstone"] = {t=3.0, icontex="INV_Stone_04"};
		["Create Firestone"] = {t=3.0, icontex="INV_Ammo_FireTar"};
		["Enslave Demon"] = {t=3.0, icontex="Spell_Shadow_EnslaveDemon"};
		["Inferno"] = {t=2.0, d=3600, icontex="Spell_Fire_Incinerate"};
		["Shadow Ward"] = {t=30.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
		["Amplify Curse"] = {d=180, onfade=true, icontex="Spell_Shadow_Contagion"}; -- gain
		["Seed of Corruption"] = {t=2, icontex="Spell_Shadow_SeedOfDestruction"};
		["Create Spellstone"] = {t=5, icontex="INV_Misc_Gem_Sapphire_01"};
		["Ritual of Souls"] = {t=3, d=300, icontex="Spell_Shadow_Shadesofdarkness"};
		["Incinerate"] = {t=2.5, icontex="Spell_Fire_FlameShock"};
		["Unstable Affliction"] = {t=1.5, icontex="Spell_Shadow_UnstableAffliction_3"};
		["Shadowfury"] = {t=0.5, d=60, icontex="Spell_Shadow_Shadowfury"};
		["Summon Felguard"] = {t=6, icontex="Spell_Shadow_SummonFelGuard"};
		["Fel Domination"] = {d=900, onfade=true, icontex="Spell_Shadow_SummonFelGuard"}; -- gain, talent

			-- Imp
			["Firebolt"] = {t=1.5, icontex="Spell_Fire_FireBolt"};
			
			-- Succubus
			["Seduction"] = {t=1.5, icontex="Spell_Shadow_MindSteal"};
			["Soothing Kiss"] = {t=4.0, d=4.0, icontex="Spell_Shadow_SoothingKiss"};
			
			-- Voidwalker
			["Consume Shadows"] = {t=10.0, icontex="Spell_Shadow_AntiShadow"}; -- gain
		
		-- Warrior
		["Bloodrage"] = {t=10.0, d=60, icontex="Ability_Racial_BloodRage"}; -- gain
		["Bloodthirst"] = {t=8.0, d=6, icontex="Spell_Nature_BloodLust"}; -- gain
		["Shield Wall"] = {t=10.0, d=1800.0, icontex="Ability_Warrior_ShieldWall"}; -- gain
		["Recklessness"] = {t=15.0, d=1800.0, icontex="Ability_CriticalStrike"}; -- gain
		["Retaliation"] = {t=15.0, d=1800.0, icontex="Ability_Warrior_Challange"}; -- gain
		["Berserker Rage"] = {t=10.0, d=30, icontex="Spell_Nature_AncestralGuardian"}; -- gain
		["Last Stand"] = {t=20.0, d=480, icontex="Spell_Holy_AshesToAshes"}; -- gain
		["Death Wish"] = {t=30.0, d=180, icontex="Spell_Shadow_DeathPact"}; -- gain
		-- ["Enrage"] = {t=12.0, icontex="Spell_Shadow_UnholyFrenzy"}; -- gain
		["Shield Block"] = {t=6, icontex="Ability_Defend"}; -- gain, 1 Talent point in impr. block
		["Victory Rush"] = {t=30, icontex="Ability_Warrior_Devastate"}; -- gain
		["Spell Reflection"] = {t=5, d=10, icontex="Ability_Warrior_ShieldReflection"}; -- gain
		["Rampage"] = {t=30, icontex="Ability_Warrior_Rampage"}; -- gain


		-- Mobs
		["Shrink"] = {t=3.0, icontex="Spell_Ice_MagicDamage"};
		["Banshee Curse"] = {t=2.0, icontex="Spell_Nature_Drowsy"};
		["Shadow Bolt Volley"] = {t=3.0, icontex="Spell_Shadow_ShadowBolt"};
		["Cripple"] = {t=3.0, icontex="Spell_Shadow_Cripple"};
		["Dark Mending"] = {t=3.5, icontex="Spell_Shadow_ChillTouch"}; -- gain
		["Spirit Decay"] = {t=2.0, icontex="Spell_Holy_HarmUndeadAura"};
		["Gust of Wind"] = {t=2.0, icontex="Spell_Nature_EarthBind"};
		["Black Sludge"] = {t=3.0, icontex="Spell_Shadow_CallofBone"};
		["Toxic Bolt"] = {t=2.0, icontex="Spell_Nature_CorrosiveBreath"};
		["Poisonous Spit"] = {t=2.0, icontex="Spell_Nature_CorrosiveBreath"};
		["Wild Regeneration"] = {t=3.0, g=0, icontex="Spell_Nature_Rejuvenation"};
		["Curse of the Deadwood"] = {t=2.0, icontex="Spell_Shadow_GatherShadows"};
		["Curse of Blood"] = {t=2.0, icontex="Spell_Shadow_RitualOfSacrifice"};
		["Dark Sludge"] = {t=5.0, icontex="Spell_Shadow_CreepingPlague"};
		["Plague Cloud"] = {t=2.0, icontex="Spell_Shadow_CallofBone"};
		["Wandering Plague"] = {t=2.0, icontex="Spell_Shadow_CallofBone"};
		["Wither Touch"] = {t=2.0, icontex="Spell_Nature_Drowsy"};
		["Fevered Fatigue"] = {t=3.0, icontex="Spell_Nature_NullifyDisease"};
		["Encasing Webs"] = {t=2.0, icontex="Spell_Nature_EarthBind"};
		["Crystal Gaze"] = {t=2.0, icontex="Ability_GolemThunderClap"};
		["Flamespit"] = {t=3.0, icontex="Spell_Fire_FlameBolt"};
		["Lizard Bolt"] = {t=2.0, icontex="Spell_Nature_Lightning"};
		["Plague Mind"] = {t=4.0, icontex="Spell_Shadow_CallofBone"};
		["Faerie Fire"] = {t=2, icontex="Spell_Nature_FaerieFire"};
		["Lightning Breath"] = {t=2, icontex="Spell_Nature_Lightning"};
		["Diseased Slime"] = {t=2, icontex="Spell_Shadow_CreepingPlague"};
		["Lightning Cloud"] = {t=2, icontex="Spell_Nature_CallStorm"};

		
	}

end